/*
 * DataRecorderMemoryDefault.cpp
 *
 */


#include "DataRecorder.h"

#ifdef __MINGW32__
#include <stdlib.h>

void* RecorderMemory::getMemory(void* buffer, unsigned int& size)
{
    if (!buffer)
    {
        if (size==0)
            size=16*1024*1024;
        buffer=malloc(size);
    }
    return buffer;
}

#endif





